Subject: Re: bug#71929: 30.0.60; crash in mark_image_cache

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Jul 2024 10:40:16 +0300

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 04 Jul 2024 14:42:01 +0800
> 
> Hello,
> 
> On Thu 04 Jul 2024 at 02:17pm +08, Po Lu wrote:
> 
> >>> What is the value of c->images?  IOW, why did this line segfault?
> >>
> >> Also, what is the value of c->refcount?
> >
> > Please answer these questions, yes.
> 
> I don't know, but I will see if I can get information about these next
> time I observe the crash.
> 
> I struggle to keep the Emacs instance running gdb around very long
> because it keeps crashing too :)

Do you mean GDB keeps crashing?

If you run GDB from Emacs, then try running it from the shell prompt
instead.